//RANDOMF  JOB (001),'ANALYZE RANDOMF',CLASS=A,MSGCLASS=A,              00010000
//             MSGLEVEL=(1,1)                                           00020000
//ASM     EXEC ASMFCL,PARM.ASM='LIST,LOAD,NODECK',MAC1='SYSP.MACLIB'    00030000
//ASM.SYSIN DD *                                                        00040000
         PRINT ON,GEN,DATA                                              00050000
         TITLE 'RANDOMF: PSEUDO-RANDOM NUMBER GENERATOR'                00060000
*---------------------------------------------------------------------* 00070000
*                                                                     * 00080000
* GENERATES A PSEUDO-RANDOM NUMBER FOR RETURN TO A COBOL CALLING      * 00090000
* PROGRAM IN A COMPUTATIONAL-1 (FLOATING POINT) VARIABLE.             * 00100000
*                                                                     * 00110000
* THE "SEED" VALUE IS STORED IN A LOCAL VARIABLE BETWEEN CALLS, SO    * 00120000
* THIS IS NOT RE-ENTRANT CODE. IF RE-ENTRANT CODE IS REQUIRED, IT     * 00130000
* WOULD BE A TRIVIAL MODIFICATION TO MOVE THE SEED INTO THE CALLER'S  * 00140000
* STORAGE.                                                            * 00150000
*                                                                     * 00160000
* THE NUMBERS GENERATED ARE SUFFICIENTLY RANDOM FOR SIMULATION AND    * 00170000
* TESTING.                                                            * 00180000
*                                                                     * 00190000
* THIS CODE IS PLACED IN THE PUBLIC DOMAIN AND MAY BE FREELY USED     * 00200000
* AND INCORPORATED INTO DERIVED WORKS SO LONG AS ATTRIBUTION TO THE   * 00210000
* ORIGINAL AUTHORSHIP REMAINS IN ANY DISTRIBUTED COPIES OF THE ALC    * 00220000
* SOURCE.                                                             * 00230000
*                                                                     * 00240000
* WRITTEN JANUARY, 2002 BY JAY MOSELEY, CCP                           * 00250000
* HTTP://WWW.JAYMOSELEY.COM/HERCULES/                                 * 00260000
*                                                                     * 00270000
*---------------------------------------------------------------------* 00280000
*                                                                       00290000
         LCLC  &SYSECT                                                  00300000
&SYSECT  SETC  'RANDOMF'                                                00310000
*                                                                       00320000
&SYSECT  CSECT                                                          00330000
*                                                                       00340000
@IDENT01 B     @IDENT04(R15)       BRANCH AROUND IDENT CONSTANTS        00350000
         DC    AL1(@IDENT03-@IDENT02)                                   00360000
@IDENT02 DC    C'&SYSECT '                                              00370000
         DC    C'&SYSDATE &SYSTIME - '                                  00380000
         DC    C'PSEUDO-RANDOM NUMBER GENERATOR'                        00390000
@IDENT03 DS    0H                                                       00400000
@IDENT04 EQU   *-@IDENT01                                               00410000
*                                                                       00420000
         SAVE  (14,12)             SAVE CALLER'S REGISTERS              00430000
*                                                                       00440000
         BALR  R12,0               ESTABLISH MY BASE                    00450000
         USING *,R12                                                    00460000
*                                                                       00470000
*---------------------------------------------------------------------* 00480000
* I DO NOT ESTABLISH A LOCAL REGISTER SAVE AREA SINCE I CALL NO       * 00490000
* SUBORDINATE PROGRAMS!                                               * 00500000
*---------------------------------------------------------------------* 00510000
*                                                                       00520000
         L     R11,0(,R1)          ADDRESS PARAMETER                    00530000
         USING $PARMS,R11                                               00540000
*                                                                       00550000
*---------------------------------------------------------------------* 00560000
* THE SEED VALUE IS STORED IN LOCAL STORAGE. ON THE INITAL CALL, IT   * 00570000
* HAS THE ASSEMBLER ASSIGNED VALUE OF ZERO, SO ON THE INITIAL CALL    * 00580000
* THE SEED VALUE IS ESTABLISHED USING THE SYSTEM TIMER.               * 00590000
*---------------------------------------------------------------------* 00600000
         L     R5,SEED             LOAD SEED VALUE                      00610000
         LTR   R5,R5               TEST FOR FIRST TIME                  00620000
         BNZ   NEXTPICK            CONTINUE IF SEED ESTABLISHED         00630000
*                                                                       00640000
*---------------------------------------------------------------------* 00650000
* ONLY THE HUNDREDTHS PORTION OF THE TIMER IS CONSIDERED. IN THE      * 00660000
* EVENT THAT THE VALUE IS EXACTLY ZERO, THE SEED IS SET TO THE PRIME  * 00670000
* NUMBER 34513. OTHERWISE, THE SEED VALUE IS COMPUTED BY MULTIPLYING  * 00680000
* THE TIMER VALUE BY THE PRIME NUMBER 13831.                          * 00690000
*---------------------------------------------------------------------* 00700000
         TIME  DEC                 RETRIEVE SYSTEM TIME                 00710000
         LR    R5,R0               MOVE TIME PORTION TO R5              00720000
         N     R5,=F'255'          CLEAR ALL BUT HUNDREDTHS/SECOND      00730000
         LTR   R5,R5               IS IT ZERO?                          00740000
         BNZ   SEEDM                 NO, FACTOR                         00750000
         LA    R5,=F'34513'        DEFAULT PRIME SEED                   00760000
         B     NEXTPICK                                                 00770000
*                                                                       00780000
SEEDM    M     R4,=F'13831'        PRIME FACTOR                         00790000
*                                                                       00800000
NEXTPICK DS    0H                                                       00810000
*---------------------------------------------------------------------* 00820000
* COMPUTE NEXT RANDOM NUMBER BASED ON SEED VALUE.                     * 00830000
*---------------------------------------------------------------------* 00840000
*                                                                       00850000
         M     R4,A                MULTIPLY SEED BY CONSTANT            00860000
         D     R4,M                DIVIDE BY MODULUS                    00870000
         ST    R4,SEED             STORE SEED FOR NEXT ITERATION        00880000
*                                                                       00890000
         SRL   R4,7                ADJUST FOR REAL RESULT               00900000
         A     R4,C                ADD CONSTANT                         00910000
         ST    4,$NUMBER           STORE IN CALLER'S VARIABLE           00920000
         LD    0,=D'0'             CONVERT SINGLE-PRECISION VALUE       00930000
         LE    0,$NUMBER             INTO DOUBLE-PRECISION IN FPR0      00940000
         LDR   2,0                 PLACE A COPY INTO FPR2               00950000
         AW    0,OFFSET            ISOLATE THE INTEGER PART IN FPR0     00960000
         SDR   2,0                 ISOLATE THE FRACTION PART IN FPR2    00970000
         MD    2,=D'1E8'           CONVERT INTO A FP INTEGER            00980000
         AW    2,OFFSET            ISOLATE THE INTEGER PART IN FPR2     00990000
         STD   2,TEMP              TRANSFER THE BINARY INTEGER RESULT   01000000
         MVC   $NUMBERF,TEMP+4       INTO THE CALLER'S VARIABLE         01010000
*                                                                       01020000
GOBACK   DS    0H                                                       01030000
         RETURN (14,12),RC=0                                            01040000
*                                                                       01050000
SEED     DC    F'0'                SEED VALUE, 0 CAUSES INITIALIZATION  01060000
A        DC    F'16807'            MULTIPLIER                           01070000
M        DC    F'2147483647'       MODULUS                              01080000
C        DC    F'1073741824'       INCREMENT                            01090000
         DS    0D                                                       01100000
OFFSET   DC    X'4E00000000000000' FP TO INTEGER CONVERSION FACTOR      01110000
TEMP     DS    D                   FP TO INTEGER CONVERSION WORK        01120000
*                                                                       01130000
$PARMS   DSECT                                                          01140000
*---------------------------------------------------------------------* 01150000
* THIS DSECT DEFINES THE VARIABLE TO RECEIVE THE RETURNED VALUE.      * 01160000
*---------------------------------------------------------------------* 01170000
$NUMBER  DS    E                   COMPUTATIONAL-1 VARIABLE             01180000
$NUMBERF DS    F                   COMPUTATIONAL VARIABLE (0.NNNNNNNN)  01190000
*                                                                       01200000
         YREGS                                                          01210000
*                                                                       01220000
         END                                                            01230000
/*                                                                      01240000
//LKED.SYSLMOD DD DSN=&RANDOM                                           01250000
//LKED.SYSIN DD *                                                       01260000
  NAME RANDOMF                                                          01270000
/*                                                                      01280000
//COB     EXEC COBUCLG,PARM.COB='LIST,OBJECT,NODECK,DMAP,PMAP'          01290000
//COB.SYSIN DD *                                                        01300000
000100 IDENTIFICATION DIVISION.                                         01310000
000200 PROGRAM-ID. ANALYZE.                                             01320000
000300* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 01330000
000400*  AUTHOR. JAY MOSELEY.                                         * 01340000
000500*  DATE-WRITTEN. JANUARY, 2002.                                 * 01350000
000600*  FUNCTION. TEST THE DISTRIBUTION OF THE OUTPUT OF THE         * 01360000
000700*            PSEUDO-RANDOM NUMBER GENERATOR:  RANDOMF.          * 01370000
000800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 01380000
000900                                                                  01390000
001000 ENVIRONMENT DIVISION.                                            01400000
001100 INPUT-OUTPUT SECTION.                                            01410000
001200 FILE-CONTROL.                                                    01420000
001300                                                                  01430000
001400     SELECT REPORT-FILE                                           01440000
001500         ASSIGN TO UR-1403-S-REPORT.                              01450000
001600                                                                  01460000
001700 DATA DIVISION.                                                   01470000
001800 FILE SECTION.                                                    01480000
001900                                                                  01490000
002000 FD  REPORT-FILE                                                  01500000
002100     LABEL RECORDS ARE OMITTED                                    01510000
002200     REPORT IS ANALYSIS.                                          01520000
002300                                                                  01530000
002400 WORKING-STORAGE SECTION.                                         01540000
002500                                                                  01550000
002600 01  WORK-VARIABLES.                                              01560000
002700     02  WV-ITERATION            PIC S9(3)   COMP-3.              01570000
002800                                                                  01580000
002900     02  WV-RANDOM.                                               01590000
002925         03  WV-RANDOM-C1                    COMP-1.              01600000
002950         03  WV-RANDOM-C         PIC SV9(8)  COMP.                01610000
003000                                                                  01620000
003100     02  WV-SAMPLE               PIC S9(3)V9(4).                  01630000
003200     02  FILLER                  REDEFINES WV-SAMPLE.             01640000
003300         03  WV-SAMPLE-INT       PIC S9(3).                       01650000
003400         03  FILLER              PIC S9(4).                       01660000
003500                                                                  01670000
003600     02  WV-MIN                  PIC S9(3)   COMP-3.              01680000
003700     02  WV-MAX                  PIC S9(3)   COMP-3.              01690000
003800     02  WV-MEAN                             COMP-1.              01700000
003900     02  WV-R-SQ                             COMP-1.              01710000
004000     02  WV-VARIANCE                         COMP-1.              01720000
004100     02  WV-STDDEV                           COMP-1.              01730000
004200     02  WV-CHISQR                           COMP-1.              01740000
004300     02  WV-ALERT                PIC X(5).                        01750000
004400                                                                  01760000
004500     02  SAMPLE-R                OCCURS 100 TIMES                 01770000
004600                                 INDEXED BY SAMPLE-IX             01780000
004700                                 PIC S9(3)   COMP-3.              01790000
004800                                                                  01800000
004900                                                                  01810000
005000 REPORT SECTION.                                                  01820000
005100 RD  ANALYSIS                                                     01830000
005200     PAGE LIMIT IS 60 LINES                                       01840000
005300     FIRST DETAIL 3                                               01850000
005400     LAST DETAIL 55.                                              01860000
005500                                                                  01870000
005600 01  REPORT-HEADING              TYPE IS REPORT HEADING.          01880000
005700     02  LINE 1.                                                  01890000
005800         03  COLUMN 01           PIC X(48)   VALUE                01900000
005900         'TESTING PSEUDO-RANDOM NUMBER GENERATOR:  RANDOMF'.      01910000
006000                                                                  01920000
006100     02  LINE PLUS 2.                                             01930000
006200         03  COLUMN 01           PIC X(51)   VALUE                01940000
006300         'THE FOLLOWING SEQUENCE WILL BE PERFORMED 100 TIMES:'.   01950000
006400                                                                  01960000
006500     02  LINE PLUS 1.                                             01970000
006600         03  COLUMN 06           PIC X(44)   VALUE                01980000
006700         'FOR A SAMPLE SET OF 1,100 GENERATED NUMBERS '.          01990000
006800         03  COLUMN 50           PIC X(15)   VALUE                02000000
006900         'IN THE RANGE OF'.                                       02010000
007000                                                                  02020000
007100     02  LINE PLUS 1.                                             02030000
007200         03  COLUMN 06           PIC X(44)   VALUE                02040000
007300         '001 THROUGH 100, THE ARITHMETIC MEAN, THE ST'.          02050000
007400         03  COLUMN 50           PIC X(17)   VALUE                02060000
007500         'ANDARD DEVIATION,'.                                     02070000
007600                                                                  02080000
007700     02  LINE PLUS 1.                                             02090000
007800         03  COLUMN 06           PIC X(44)   VALUE                02100000
007900         'AND CHI-SQUARE WILL BE COMPUTED FOR THE SET.'.          02110000
008000                                                                  02120000
008100     02  LINE PLUS 2.                                             02130000
008200         03  COLUMN 01           PIC X(44)   VALUE                02140000
008300         'IF THE CHI-SQUARE STATISTIC IS CLOSE TO THE '.          02150000
008400         03  COLUMN 45           PIC X(44)   VALUE                02160000
008500         'MAXIMUM VALUE OF A SAMPLE (100), THEN THE   '.          02170000
008600                                                                  02180000
008700     02  LINE PLUS 1.                                             02190000
008800         03  COLUMN 01           PIC X(44)   VALUE                02200000
008900         'NUMBERS ARE RANDOM; IF IT IS TOO FAR AWAY, T'.          02210000
009000         03  COLUMN 45           PIC X(44)   VALUE                02220000
009100         'HEN THEY ARE NOT.  FOR A SIMPLE TEST, THE   '.          02230000
009200                                                                  02240000
009300     02  LINE PLUS 1.                                             02250000
009400         03  COLUMN 01           PIC X(44)   VALUE                02260000
009500         'STATISTIC SHOULD BE 2 * SQUARE ROOT(100) OF '.          02270000
009600         03  COLUMN 45           PIC X(44)   VALUE                02280000
009700         '100, (IN THE RANGE 80 THROUGH 120).         '.          02290000
009800                                                                  02300000
009900 01  PAGE-HEADING                TYPE IS PAGE HEADING.            02310000
010000     02  LINE 1.                                                  02320000
010100         03  COLUMN 55           PIC X(08)   VALUE                02330000
010200             'STANDARD'.                                          02340000
010300                                                                  02350000
010400     02  LINE 2.                                                  02360000
010500         03  COLUMN 01           PIC X(09)   VALUE                02370000
010600             'ITERATION'.                                         02380000
010700         03  COLUMN 12           PIC X(07)   VALUE                02390000
010800             'MINIMUM'.                                           02400000
010900         03  COLUMN 21           PIC X(07)   VALUE                02410000
011000             'MAXIMUM'.                                           02420000
011100         03  COLUMN 35           PIC X(04)   VALUE                02430000
011200             'MEAN'.                                              02440000
011300         03  COLUMN 43           PIC X(08)   VALUE                02450000
011400             'VARIANCE'.                                          02460000
011500         03  COLUMN 54           PIC X(09)   VALUE                02470000
011600             'DEVIATION'.                                         02480000
011700         03  COLUMN 65           PIC X(10)   VALUE                02490000
011800             'CHI-SQUARE'.                                        02500000
011900                                                                  02510000
012000 01  SET-DETAILS                 TYPE IS DETAIL.                  02520000
012100     02  LINE PLUS 1.                                             02530000
012200         03  COLUMN 7            PIC ZZ9     SOURCE               02540000
012300             WV-ITERATION.                                        02550000
012400         03  COLUMN 16           PIC ZZ9     SOURCE WV-MIN.       02560000
012500         03  COLUMN 25           PIC ZZ9     SOURCE WV-MAX.       02570000
012600         03  COLUMN 34           PIC ZZ9.9   SOURCE WV-MEAN.      02580000
012700         03  COLUMN 45           PIC ZZ9.99  SOURCE WV-VARIANCE.  02590000
012800         03  COLUMN 57           PIC ZZ9.99  SOURCE WV-STDDEV.    02600000
012900         03  COLUMN 69           PIC ZZ9.99  SOURCE WV-CHISQR.    02610000
013000         03  COLUMN 76           PIC X(5)    SOURCE WV-ALERT.     02620000
013100                                                                  02630000
013200 PROCEDURE DIVISION.                                              02640000
013300                                                                  02650000
013400 0000-CONTROL.                                                    02660000
013500                                                                  02670000
013600     OPEN OUTPUT REPORT-FILE.                                     02680000
013700     INITIATE ANALYSIS.                                           02690000
013800                                                                  02700000
013900     PERFORM 1000-TEST-SET                                        02710000
014000         VARYING WV-ITERATION                                     02720000
014100             FROM +1 BY +1                                        02730000
014200         UNTIL WV-ITERATION GREATER THAN +100.                    02740000
014300*    END-PERFORM.                                                 02750000
014400                                                                  02760000
014500     TERMINATE ANALYSIS.                                          02770000
014600     CLOSE REPORT-FILE.                                           02780000
014700                                                                  02790000
014800     STOP RUN.                                                    02800000
014900* - - - - - - - - - - - - - - - - - - - - -> PROGRAM EXIT POINT < 02810000
015000                                                                  02820000
015100 1000-TEST-SET.                                                   02830000
015200                                                                  02840000
015300* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02850000
015400* CLEAR ARRAY TO SUM FREQUENCY.                                 * 02860000
015500* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 02870000
015600     PERFORM 1100-CLEAR-SET                                       02880000
015700         VARYING SAMPLE-IX                                        02890000
015800             FROM +1 BY +1                                        02900000
015900         UNTIL SAMPLE-IX GREATER THAN +100.                       02910000
016000*    END-PERFORM.                                                 02920000
016100                                                                  02930000
016200     MOVE +101 TO WV-MIN.                                         02940000
016300     MOVE +0 TO WV-MAX.                                           02950000
016400     MOVE +0 TO WV-MEAN.                                          02960000
016500     MOVE +0 TO WV-R-SQ.                                          02970000
016600     MOVE +0 TO WV-CHISQR.                                        02980000
016700                                                                  02990000
016800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03000000
016900* POPULATE SAMPLE SET.                                          * 03010000
017000* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03020000
017100     PERFORM 1200-FILL-SET                                        03030000
017200         1100 TIMES.                                              03040000
017300*    END-PERFORM.                                                 03050000
017400                                                                  03060000
017500* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03070000
017600* COMPLETE MEAN COMPUTATION.                                    * 03080000
017700* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03090000
017800     COMPUTE WV-MEAN = WV-MEAN / 1100.                            03100000
017900                                                                  03110000
018000* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03120000
018100* COMPLETE VARIANCE COMPUTATION.                                * 03130000
018200* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03140000
018300     COMPUTE WV-VARIANCE = (WV-R-SQ / 1100) - (WV-MEAN ** 2).     03150000
018400                                                                  03160000
018500* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03170000
018600* COMPUTE STANDARD DEVIATION.                                   * 03180000
018700* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03190000
018800     COMPUTE WV-STDDEV = WV-VARIANCE ** .5.                       03200000
018900                                                                  03210000
019000* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03220000
019100* COMPUTE SUM OF SQUARES OF FREQENCY OF OBSERVATIONS.           * 03230000
019200* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03240000
019300     PERFORM 1300-COMPUTE-SQUARES                                 03250000
019400         VARYING SAMPLE-IX                                        03260000
019500             FROM +1 BY +1                                        03270000
019600         UNTIL SAMPLE-IX GREATER THAN +100.                       03280000
019700*    END-PERFORM.                                                 03290000
019800                                                                  03300000
019900* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03310000
020000* COMPLETE CHI-SQUARE COMPUTATION.                              * 03320000
020100* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03330000
020200     COMPUTE WV-CHISQR = (100 * (WV-CHISQR / 1100)) - 1100.       03340000
020300                                                                  03350000
020400     IF WV-CHISQR LESS THAN 80.0                                  03360000
020500     OR WV-CHISQR GREATER THAN 120.0                              03370000
020600         MOVE '<****' TO WV-ALERT                                 03380000
020700     ELSE                                                         03390000
020800         MOVE SPACES TO WV-ALERT.                                 03400000
020900*    END-IF.                                                      03410000
021000                                                                  03420000
021100* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03430000
021200* PRINT REPORT LINE.                                            * 03440000
021300* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03450000
021400     GENERATE SET-DETAILS.                                        03460000
021500* - - - - - - - - - - - - - - - - - - - - -> PERFORM EXIT POINT < 03470000
021600                                                                  03480000
021700 1100-CLEAR-SET.                                                  03490000
021800                                                                  03500000
021900     MOVE +0 TO SAMPLE-R (SAMPLE-IX).                             03510000
022000* - - - - - - - - - - - - - - - - - - - - -> PERFORM EXIT POINT < 03520000
022100                                                                  03530000
022200 1200-FILL-SET.                                                   03540000
022300                                                                  03550000
022400     CALL 'RANDOMF' USING WV-RANDOM.                              03560000
022500                                                                  03570000
022600* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03580000
022700* CONFORM RETURN VALUE INTO INTEGER 1:100.                      * 03590000
022800* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * 03600000
022900     COMPUTE WV-SAMPLE = (100 * WV-RANDOM-C) + 1.                 03610000
023000                                                                  03620000
023100     SET SAMPLE-IX TO WV-SAMPLE-INT.                              03630000
023200     ADD +1 TO SAMPLE-R (SAMPLE-IX).                              03640000
023300                                                                  03650000
023400     ADD WV-SAMPLE-INT TO WV-MEAN.                                03660000
023500                                                                  03670000
023600     IF WV-SAMPLE-INT LESS THAN WV-MIN                            03680000
023700         MOVE WV-SAMPLE-INT TO WV-MIN.                            03690000
023800*    END-IF.                                                      03700000
023900                                                                  03710000
024000     IF WV-SAMPLE-INT GREATER THAN WV-MAX                         03720000
024100         MOVE WV-SAMPLE-INT TO WV-MAX.                            03730000
024200*    END-IF.                                                      03740000
024300                                                                  03750000
024400     COMPUTE WV-R-SQ = WV-R-SQ + (WV-SAMPLE-INT ** 2).            03760000
024500* - - - - - - - - - - - - - - - - - - - - -> PERFORM EXIT POINT < 03770000
024600                                                                  03780000
024700 1300-COMPUTE-SQUARES.                                            03790000
024800                                                                  03800000
024900     COMPUTE WV-CHISQR = WV-CHISQR + (SAMPLE-R (SAMPLE-IX) ** 2). 03810000
025000* - - - - - - - - - - - - - - - - - - - - -> PERFORM EXIT POINT < 03820000
025100                                                                  03830000
025200*END PROGRAM ANALYZE.                                             03840000
/*                                                                      03850000
//LKED.SYSLIB DD                                                        03860000
//         DD DSN=&RANDOM,DISP=(OLD,DELETE)                             03870000
//GO.SYSOUT DD SYSOUT=*                                                 03880000
//GO.SYSUDUMP DD SYSOUT=*                                               03890000
//GO.REPORT DD SYSOUT=*                                                 03900000
//                                                                      03910000
